## What is this?

Acck is a web page that allows to easily check if a fediverse account is limited (AKA “silenced”) and-or suspended (AKA “blocked”) by a Mastodon instance.

## Setting up Acck on a webserver

To set up Acck on a webserver you just need it to support PHP.

If you want you can write a «sec/conf.ini» file where you can set some html that will be added before the link to this repo in the page footer and a proxy to use for connections to certain domains; for example:

```
footer=<a href="https://my.server/">Home</a>
proxy=tcp://localhost:8118
use_proxy_with=domain1.example.net,domain2.example.net
```

Note that if you specify `proxy` but don’t specify `use_proxy_with`, the proxy will be used for all connections.

## Are there running Acck instances?

You can find a running Acck instance [here](https://mastodon.help/acck).

If you set up your own and you want it to be listed here, please [let me know](mailto:jones@insicuri.net).
